---
canonical: https://amplience.com/developers/docs/apis/content-management-reference/events-editions/
title: "Events and editions"
description: "API reference for event and edition endpoints. Covers campaign events, scheduled editions, slots, and conflict resolution."
audience: Developer
date_published: 2023-08-29
date_modified: 2026-07-05
---

# Events and editions

**Base URL:** `https://api.amplience.net/v2/content`

> **Note: Authorization and status codes**
> For authorization and status codes see the [API Reference overview](https://amplience.com/developers/docs/apis/content-management-reference/).

## Events

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/events/{eventId}` | [Get an event](#get-an-event) |
| `DELETE` | `/events/{eventId}` | [Delete an event](#delete-an-event) |
| `PATCH` | `/events/{eventId}` | [Update an event](#update-an-event) |
| `POST` | `/events/{eventId}/archive` | [Archive events](#archive-events) |
| `GET` | `/events/search/findByDateRange` | [Search events by date](#search-events-by-date) |
| `GET` | `/events/search/findByDateRangeAndSlots` | [Search events by date range and slots](#search-events-by-date-range-and-slots) |
| `GET` | `/hubs/{hubId}/events` | [List events](#list-events) |
| `POST` | `/hubs/{hubId}/events` | [Create a new event](#create-a-new-event) |

### Get an event

`GET /events/{eventId}`

<small>`https://api.amplience.net/v2/content/events/{eventId}`</small>

Get an Event by ID

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `eventId` | path | string | ✓ | Event ID<br/>Example: `00112233445566778899aabb` |
| `projection` | query | string (withEditions) |  | Include related Editions |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | The requested Event, including corresponding Editions if `projection=withEditions` was supplied |

<details>
<summary>Response example (200): Single event</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Event",
  "comment": "This is an example Event",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "brief": "http://external.doc/mybrief",
  "locales": [
    "en-GB",
    "it"
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "event": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
    },
    "create-edition": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
    },
    "editions": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
    }
  }
}
```

</details>

<details>
<summary>Response example (200): With edition projection</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Event2",
  "comment": "This is an example Event",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "brief": "http://external.doc/mybrief",
  "locales": [
    "en-GB",
    "it"
  ],
  "editions": [
    {
      "id": "00112233445566778899aabb",
      "name": "My Edition",
      "comment": "This is an example edition.",
      "start": "2019-01-01T00:00:00.000Z",
      "end": "2019-01-01T00:00:00.000Z",
      "eventId": "00112233445566778899aabb",
      "publishingStatus": "DRAFT",
      "slotsRemaining": 200,
      "schedulingErrors": null,
      "activeEndDate": false,
      "publishingJobId": null,
      "statusUpdated": "2019-01-01T00:00:00.000Z",
      "schedulingUser": null,
      "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
      "createdDate": "2019-01-01T00:00:00.000Z",
      "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
      "lastModifiedDate": "2019-01-01T00:00:00.000Z",
      "stagedDate": null,
      "slotCollisions": false
    }
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "event": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
    },
    "create-edition": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
    },
    "editions": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
    }
  }
}
```

</details>

### Delete an event

`DELETE /events/{eventId}`

<small>`https://api.amplience.net/v2/content/events/{eventId}`</small>

Delete an Event by ID

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `eventId` | path | string | ✓ | Event ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | No Content |

### Update an event

`PATCH /events/{eventId}`

<small>`https://api.amplience.net/v2/content/events/{eventId}`</small>

Update an Event by ID

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `eventId` | path | string | ✓ | Event ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string |  | Name |
| `comment` | string |  | Comment |
| `start` | string |  | The Event start date |
| `end` | string |  | The Event end date |
| `brief` | string |  | Brief - external URI that related to this Event |
| `locales` |  |  | Locales |

<details>
<summary>Request example</summary>

```json
{
  "name": "Event",
  "comment": "This is an example Event",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "brief": "http://external.doc/mybrief",
  "locales": [
    "en-GB",
    "it"
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | The requested Event |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Event",
  "comment": "This is an example Event",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "brief": "http://external.doc/mybrief",
  "locales": [
    "en-GB",
    "it"
  ],
  "_links": {
    "update": {
      "href": "https://api.amplience.net/..."
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
    },
    "create-edition": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}",
      "templated": true
    }
  }
}
```

</details>

### Archive events

`POST /events/{eventId}/archive`

<small>`https://api.amplience.net/v2/content/events/{eventId}/archive`</small>

Archiving an event is irreversible, you cannot unarchive. Archiving an event will also archive all editions contained within the event.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `eventId` | path | string | ✓ | Event ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Archived Event |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Event",
  "comment": "This is an example Event",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "brief": "http://external.doc/mybrief",
  "status": "ARCHIVED",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "event": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "editions": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}",
      "templated": true
    }
  }
}
```

</details>

### Search events by date

`GET /events/search/findByDateRange`

<small>`https://api.amplience.net/v2/content/events/search/findByDateRange`</small>

List all of the Events for a given date

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | query | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `rangeStart` | query | string | ✓ | The start date to search from<br/>Example: `2019-01-01T00:00:00.000Z` |
| `rangeEnd` | query | string |  | The end date to search to<br/>Example: `2019-01-01T00:00:00.000Z` |
| `projection` | query | string (withEditions) |  | Include child Editions |
| `bounded` | query | integer |  | Find events that have either started or ended within the date range<br/>Example: `1` |
| `size` | query | integer |  | Set the number of results per page<br/>Example: `10` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Event List |

<details>
<summary>Response example (200): Paginated event list</summary>

```json
{
  "_embedded": {
    "events": [
      {
        "id": "00112233445566778899aabb",
        "name": "Event",
        "comment": "This is an example Event",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "brief": "http://external.doc/mybrief",
        "locales": [
          "en-GB",
          "it"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "event": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "hub": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "archive": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
          },
          "create-edition": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
          },
          "editions": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
          }
        }
      }
    ]
  },
  "_links": {
    "self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
  },
  "page": {
    "size": 20,
    "totalElements": 5,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

<details>
<summary>Response example (200): With editions projection</summary>

```json
{
  "_embedded": {
    "events": [
      {
        "id": "00112233445566778899aabb",
        "name": "Event",
        "comment": "This is an example Event",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "brief": "http://external.doc/mybrief",
        "locales": [
          "en-GB",
          "it"
        ],
        "editions": [
          {
            "id": "00112233445566778899aabb",
            "name": "My Edition",
            "comment": "This is an example edition.",
            "start": "2019-01-01T00:00:00.000Z",
            "end": "2019-01-01T00:00:00.000Z",
            "eventId": "00112233445566778899aabb",
            "publishingStatus": "DRAFT",
            "slotsRemaining": 200,
            "schedulingErrors": null,
            "activeEndDate": false,
            "publishingJobId": null,
            "statusUpdated": "2019-01-01T00:00:00.000Z",
            "schedulingUser": null,
            "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
            "createdDate": "2019-01-01T00:00:00.000Z",
            "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
            "lastModifiedDate": "2019-01-01T00:00:00.000Z",
            "stagedDate": null,
            "slotCollisions": false
          }
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "event": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "hub": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "archive": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
          },
          "create-edition": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
          },
          "editions": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
          }
        }
      }
    ]
  },
  "_links": {
    "self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
  },
  "page": {
    "size": 20,
    "totalElements": 5,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Search events by date range and slots

`GET /events/search/findByDateRangeAndSlots`

<small>`https://api.amplience.net/v2/content/events/search/findByDateRangeAndSlots`</small>

List all of the Events for a given date range and slot ID

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | query | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `rangeStart` | query | string | ✓ | The start date to search from<br/>Example: `2019-01-01T00:00:00.000Z` |
| `rangeEnd` | query | string |  | The end date to search to<br/>Example: `2019-01-01T00:00:00.000Z` |
| `projection` | query | string (withEditions) |  | Include child Editions |
| `bounded` | query | integer |  | Find events that have either started or ended within the date range<br/>Example: `1` |
| `slots` | query | string | ✓ | Slot ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |
| `locales` | query | string |  | Locale to match<br/>Example: `en-GB` |
| `size` | query | integer |  | Set the number of results per page<br/>Example: `10` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Event List |

<details>
<summary>Response example (200): Paginated event list</summary>

```json
{
  "_embedded": {
    "events": [
      {
        "id": "00112233445566778899aabb",
        "name": "Event",
        "comment": "This is an example Event",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "brief": "http://external.doc/mybrief",
        "locales": [
          "en-GB",
          "it"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "event": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "hub": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "archive": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
          },
          "create-edition": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
          },
          "editions": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
          }
        }
      }
    ]
  },
  "_links": {
    "self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
  },
  "page": {
    "size": 20,
    "totalElements": 5,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

<details>
<summary>Response example (200): With editions projection</summary>

```json
{
  "_embedded": {
    "events": [
      {
        "id": "00112233445566778899aabb",
        "name": "Event",
        "comment": "This is an example Event",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "brief": "http://external.doc/mybrief",
        "locales": [
          "en-GB",
          "it"
        ],
        "editions": [
          {
            "id": "00112233445566778899aabb",
            "name": "My Edition",
            "comment": "This is an example edition.",
            "start": "2019-01-01T00:00:00.000Z",
            "end": "2019-01-01T00:00:00.000Z",
            "eventId": "00112233445566778899aabb",
            "publishingStatus": "DRAFT",
            "slotsRemaining": 200,
            "schedulingErrors": null,
            "activeEndDate": false,
            "publishingJobId": null,
            "statusUpdated": "2019-01-01T00:00:00.000Z",
            "schedulingUser": null,
            "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
            "createdDate": "2019-01-01T00:00:00.000Z",
            "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
            "lastModifiedDate": "2019-01-01T00:00:00.000Z",
            "stagedDate": null,
            "slotCollisions": false
          }
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "event": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "hub": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "archive": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
          },
          "create-edition": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
          },
          "editions": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
          }
        }
      }
    ]
  },
  "_links": {
    "self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
    "search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
  },
  "page": {
    "size": 20,
    "totalElements": 5,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### List events

`GET /hubs/{hubId}/events`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/events`</small>

List all of the Events created for a hub

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Event List |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "events": [
      {
        "id": "00112233445566778899aabb",
        "name": "Event",
        "comment": "This is an example Event",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "brief": "http://external.doc/mybrief",
        "locales": [
          "en-GB",
          "it"
        ],
        "_links": {
          "update": {
            "href": "https://api.amplience.net/..."
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
          },
          "archive": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
          },
          "create-edition": {
            "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}",
            "templated": true
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20"
    },
    "search": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Create a new event

`POST /hubs/{hubId}/events`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/events`</small>

Create a new Event for a particular Hub.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string | ✓ | Name |
| `comment` | string |  | Comment |
| `start` | string | ✓ | The Event start date |
| `end` | string | ✓ | The Event end date |
| `brief` | string |  | Brief - external URI that related to this Event |
| `locales` |  |  | Locales |

<details>
<summary>Request example</summary>

```json
{
  "name": "Event",
  "comment": "This is an example Event",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "brief": "http://external.doc/mybrief",
  "locales": [
    "en-GB",
    "it"
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | The created Event |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Event",
  "comment": "This is an example Event",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "brief": "http://external.doc/mybrief",
  "locales": [
    "en-GB",
    "it"
  ],
  "_links": {
    "update": {
      "href": "https://api.amplience.net/..."
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
    },
    "create-edition": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}",
      "templated": true
    }
  }
}
```

</details>

## Editions

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/editions/{editionId}` | [Get edition](#get-edition) |
| `PATCH` | `/editions/{editionId}` | [Update edition](#update-edition) |
| `DELETE` | `/editions/{editionId}` | [Delete edition](#delete-edition) |
| `POST` | `/editions/{editionId}/archive` | [Archive edition](#archive-edition) |
| `GET` | `/editions/{editionId}/conflicts` | [Get edition conflicts](#get-edition-conflicts) |
| `PUT` | `/editions/{editionId}/conflicts` | [Resolve edition conflicts](#resolve-edition-conflicts) |
| `GET` | `/editions/{editionId}/conflicts/findByIdAndVersion` | [Get edition conflict by id and version](#get-edition-conflict-by-id-and-version) |
| `POST` | `/editions/{editionId}/edition-contents` | [Create edition content](#create-edition-content) |
| `GET` | `/editions/{editionId}/edition-contents` | [List edition contents](#list-edition-contents) |
| `GET` | `/editions/{editionId}`<br/>`/edition-contents/{editionContentsId}` | [Get edition content](#get-edition-content) |
| `DELETE` | `/editions/{editionId}`<br/>`/edition-contents/{editionContentsId}` | [Delete edition content](#delete-edition-content) |
| `PATCH` | `/editions/{editionId}`<br/>`/edition-contents/{editionContentsId}/content` | [Associate edition content](#associate-edition-content) |
| `POST` | `/editions/{editionId}/preview` | [Create edition preview](#create-edition-preview) |
| `GET` | `/editions/{editionId}/preview` | [Get edition preview](#get-edition-preview) |
| `DELETE` | `/editions/{editionId}/preview` | [Delete edition preview](#delete-edition-preview) |
| `POST` | `/editions/{editionId}/schedule` | [Schedule edition](#schedule-edition) |
| `DELETE` | `/editions/{editionId}/schedule` | [Unschedule edition](#unschedule-edition) |
| `GET` | `/editions/{editionId}/slot-collisions` | [Get edition slot collisions](#get-edition-slot-collisions) |
| `POST` | `/editions/{editionId}/slots` | [Assign edition slots](#assign-edition-slots) |
| `GET` | `/editions/{editionId}/slots` | [Get edition slots](#get-edition-slots) |
| `GET` | `/editions/{editionId}/slots/{slotId}` | [Get edition slot](#get-edition-slot) |
| `DELETE` | `/editions/{editionId}/slots/{slotId}` | [Delete edition slot](#delete-edition-slot) |
| `PUT` | `/editions/{editionId}/slots/{slotId}/content` | [Create edition slot content](#create-edition-slot-content) |
| `POST` | `/editions/{editionId}/slots/{slotId}/preview` | [Create edition slot preview](#create-edition-slot-preview) |
| `GET` | `/editions/search/findByDate` | [Find by date range](#find-by-date-range) |
| `GET` | `/editions/search/findByEvent` | [Find by event](#find-by-event) |
| `POST` | `/events/{eventId}/editions` | [Create edition](#create-edition) |
| `GET` | `/events/{eventId}/editions` | [List editions](#list-editions) |
| `GET` | `/events/{eventid}/editions/search` | [Search editions](#search-editions) |
| `GET` | `/snapshots/{snapshotId}/edition-links` | [Get snapshot edition links](#get-snapshot-edition-links) |
| `DELETE` | `/snapshots/{snapshotId}/edition-links/{editionId}` | [Delete snapshot edition link](#delete-snapshot-edition-link) |

### Get edition

`GET /editions/{editionId}`

<small>`https://api.amplience.net/v2/content/editions/{editionId}`</small>

Get Edition

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get Edition response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Edition",
  "comment": "This is an Edition comment",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "eventId": "00112233445566778899aabb",
  "publishingStatus": "DRAFT",
  "slotsRemaining": 200,
  "activeEndDate": false,
  "publishingJobId": "00112233445566778899aabb",
  "statusUpdated": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "stagedDate": "2019-01-01T00:00:00.000Z",
  "slotCollisions": false,
  "_links": {
    "slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
    },
    "copy-slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
      "templated": true
    },
    "list-slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
      "templated": true
    },
    "schedule": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    }
  }
}
```

</details>

### Update edition

`PATCH /editions/{editionId}`

<small>`https://api.amplience.net/v2/content/editions/{editionId}`</small>

Update Edition

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string |  | Edition Name |
| `comment` | string |  | Edition Comment |
| `activeEndDate` | boolean |  | Active End Date |

<details>
<summary>Request example</summary>

```json
{
  "name": "Edition",
  "comment": "This is an Edition comment",
  "activeEndDate": false
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Update Edition response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Edition",
  "comment": "This is an Edition comment",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "eventId": "00112233445566778899aabb",
  "publishingStatus": "DRAFT",
  "slotsRemaining": 200,
  "activeEndDate": false,
  "publishingJobId": "00112233445566778899aabb",
  "statusUpdated": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "stagedDate": "2019-01-01T00:00:00.000Z",
  "slotCollisions": false,
  "_links": {
    "slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
    },
    "copy-slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
      "templated": true
    },
    "list-slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
      "templated": true
    },
    "schedule": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    }
  }
}
```

</details>

### Delete edition

`DELETE /editions/{editionId}`

<small>`https://api.amplience.net/v2/content/editions/{editionId}`</small>

Delete Edition

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Delete Edition response |

### Archive edition

`POST /editions/{editionId}/archive`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/archive`</small>

Archiving an edition is irreversible, you cannot unarchive.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Archive Edition response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Edition",
  "comment": "This is an Edition comment",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "eventId": "00112233445566778899aabb",
  "publishingStatus": "PUBLISHED",
  "slotsRemaining": 200,
  "activeEndDate": false,
  "publishingJobId": "00112233445566778899aabb",
  "statusUpdated": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "stagedDate": "2019-01-01T00:00:00.000Z",
  "slotCollisions": false,
  "status": "ARCHIVED",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "create-preview": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
    },
    "preview": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
    },
    "event": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    },
    "edition-conflicts": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
    },
    "edition-conflict": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdAndVersion{?id,version}",
      "templated": true
    },
    "slot-collisions": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
    }
  }
}
```

</details>

### Get edition conflicts

`GET /editions/{editionId}/conflicts`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/conflicts`</small>

Get Edition Conflicts

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get Edition Conflicts response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "conflictedItems": [
    {
      "contentItemId": "00112233445566778899aabb",
      "contentItemLabel": "Banner Ad Homepage",
      "versions": [
        {
          "version": 1,
          "instances": 1,
          "slots": 1
        }
      ]
    }
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflict"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "edition-conflict": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdAndVersion{?id,version}",
      "templated": true
    }
  }
}
```

</details>

### Resolve edition conflicts

`PUT /editions/{editionId}/conflicts`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/conflicts`</small>

Resolve Edition Conflicts

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `comment` | string |  | Comment |
| `lastModifiedDate` | string |  | Last Modified Date |
| `resolutions` | array | ✓ |  |

<details>
<summary>Request example</summary>

```json
{
  "comment": "Comment",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "resolutions": [
    {
      "contentItemId": "00112233445566778899aabb",
      "version": 1
    }
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Resolve Edition Conflicts response |

### Get edition conflict by id and version

`GET /editions/{editionId}/conflicts/findByIdAndVersion`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/conflicts/findByIdAndVersion`</small>

Get Edition Conflict by Id and Version

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `version` | query | number | ✓ | Version<br/>Example: `1` |
| `id` | query | string | ✓ | Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Edition Conflict by Id and Version response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "editionId": "00112233445566778899aabb",
  "contentItemId": "00112233445566778899aabb",
  "version": 1,
  "instances": [
    {
      "snapshot": {
        "snapshotId": "00112233445566778899aabb",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "comment": "Comment",
        "slotId": "00112233445566778899aabb",
        "slotLabel": "Slot Label",
        "itemHierarchy": [
          {
            "contentItemId": "00112233445566778899aabb",
            "version": 1,
            "label": "Label"
          }
        ]
      }
    }
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdAndVersion?id=00112233445566778899aabb&version=1"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "edition-conflict": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
    }
  }
}
```

</details>

### Create edition content

`POST /editions/{editionId}/edition-contents`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/edition-contents`</small>

Create Edition Content

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Create Edition Content Response |

<details>
<summary>Response example (200): Create edition content</summary>

```json
{
  "id": "00112233445566778899aabb",
  "eventId": "00112233445566778899aabb",
  "editionId": "00112233445566778899aabb",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "content": {
    "body": {
      "_meta": {
        "schema": "http://deliver.bigcontent.io/schema/hierarchy/hierarchy-schema.json",
        "name": "Name"
      }
    }
  },
  "status": "Active",
  "label": "Banner Ad Homepage",
  "conflicts": false,
  "empty": true,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
    },
    "edition-contents": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    }
  }
}
```

</details>

### List edition contents

`GET /editions/{editionId}/edition-contents`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/edition-contents`</small>

List Edition Contents

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `page` | query | integer |  | page to retrieve<br/>Example: `1` |
| `size` | query | integer |  | page size to retrieve<br/>Example: `20` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List Edition Content Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "edition-contents": [
      {
        "id": "00112233445566778899aabb",
        "eventId": "00112233445566778899aabb",
        "editionId": "00112233445566778899aabb",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "content": "",
        "label": "Banner Ad Homepage",
        "conflicts": false,
        "empty": true,
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
          },
          "edition-content": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
          },
          "edition": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents?page=0&size=20"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Get edition content

`GET /editions/{editionId}/edition-contents/{editionContentsId}`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/edition-contents/{editionContentsId}`</small>

Get Edition Content

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `editionContentId` | path | string | ✓ | Edition Content ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Edition Content Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "eventId": "00112233445566778899aabb",
  "editionId": "00112233445566778899aabb",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "content": "",
  "label": "Banner Ad Homepage",
  "conflicts": false,
  "empty": true,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
    },
    "edition-content": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    }
  }
}
```

</details>

### Delete edition content

`DELETE /editions/{editionId}/edition-contents/{editionContentsId}`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/edition-contents/{editionContentsId}`</small>

Delete Edition Content

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `editionContentId` | path | string | ✓ | Edition Content ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | No Content |

### Associate edition content

`PATCH /editions/{editionId}/edition-contents/{editionContentsId}/content`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/edition-contents/{editionContentsId}/content`</small>

Associate Snapshot to Edition Content

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `editionContentId` | path | string | ✓ | Edition Content ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `body` | object |  |  |

<details>
<summary>Request example</summary>

```json
{
  "body": {
    "contents": {
      "_meta": {
        "schema": "http://deliver.bigcontent.io/schema/hierarchy/hierarchy-schema.json",
        "rootContentItemIds": [
          "00112233-4455-6677-8899-aabbccddeeff"
        ],
        "locked": true
      },
      "id": "00112233445566778899aabb",
      "contentType": "http://example.com/banner.json"
    }
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Associate Edition Content Response |

<details>
<summary>Response example (200): Associate edition content</summary>

```json
{
  "id": "00112233445566778899aabb",
  "eventId": "00112233445566778899aabb",
  "editionId": "00112233445566778899aabb",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "content": {
    "body": {
      "_meta": {
        "schema": "http://deliver.bigcontent.io/schema/hierarchy/hierarchy-schema.json",
        "rootContentItemIds": [
          "00112233-4455-6677-8899-aabbccddeeff"
        ],
        "locked": true
      },
      "id": "00112233445566778899aabb,",
      "contentType": "http://example.com/banner.json"
    }
  },
  "status": "Active",
  "empty": true,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
    },
    "edition-contents": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    }
  }
}
```

</details>

### Create edition preview

`POST /editions/{editionId}/preview`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/preview`</small>

If an Edition has been Previewed or is Scheduled then you can retrieve the Snapshot to be used with the Preview application or in Time Machine.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `lastModifiedDate` | string |  | Last Modified Date |
| `type` | string |  | Type |

<details>
<summary>Request example</summary>

```json
{
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "type": "QUICKPREVIEW"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Edition List response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "snapshotId": "00112233445566778899aabb",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
    }
  }
}
```

</details>

### Get edition preview

`GET /editions/{editionId}/preview`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/preview`</small>

If an Edition has been Previewed or is Scheduled then you can retrieve the Snapshot to be used with the Preview application or in Time Machine.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Edition List response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "snapshotId": "00112233445566778899aabb",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
    }
  }
}
```

</details>

### Delete edition preview

`DELETE /editions/{editionId}/preview`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/preview`</small>

If an Edition has been Previewed it can be deleted, if the Edition is Scheduled then it cannot be deleted.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Delete Edition Preview response |

### Schedule edition

`POST /editions/{editionId}/schedule`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/schedule`</small>

Schedule an Edition for publishing. To schedule successfully, all of the following must be true:

- The Edition must be in the [`DRAFT` state](#get-edition)
- All Edition Slots must be in the [`VALID` state](#get-edition-slots) (if any slots are present)
- The Edition must have at least one Slot or Content Snapshot
- There must be no [conflicts in the Edition](#get-edition-conflicts)

If slot collisions exist with other scheduled editions, a `409` error is returned unless `ignoreWarnings=true` is passed. This will then trigger the publishing job to take place on the start date of the Edition.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `ignoreWarnings` | query | boolean |  | When `true`, scheduling proceeds even if slot collisions exist with other scheduled editions. |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `lastModifiedDate` | string |  | Last Modified Date |

<details>
<summary>Request example</summary>

```json
{
  "lastModifiedDate": "2019-01-01T00:00:00.000Z"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Schedule Edition response |
| 409 | Conflict. Slot collisions exist with another scheduled edition. Pass `ignoreWarnings=true` to override, or resolve conflicts first using [Get Edition Conflicts](#get-edition-conflicts) and [Resolve Edition Conflicts](#resolve-edition-conflicts). |

<details>
<summary>Error response (409)</summary>

```json
{
  "errors": [
    {
      "message": "Edition has slot collisions",
      "overlaps": [
        {
          "editionId": "00112233445566778899aabb"
        }
      ]
    }
  ]
}
```

</details>

### Unschedule edition

`DELETE /editions/{editionId}/schedule`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/schedule`</small>

If the Edition has been scheduled it is possible to cancel the publishing job by unscheduling the edition.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Unschedule Edition response |

### Get edition slot collisions

`GET /editions/{editionId}/slot-collisions`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/slot-collisions`</small>

Get Edition Slot Collisions

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get Edition Slot Collisions response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "editionId": "00112233445566778899aabb",
  "editionSlotCollisionsResponseEntries": [
    {
      "editionName": "Edition",
      "startDateTime": "2019-01-01T00:00:00.000Z",
      "endDateTime": "2019-01-01T00:00:00.000Z",
      "editionId": "00112233445566778899aabb",
      "collidingSlotsIds": [
        [
          "00112233-4455-6677-8899-aabbccddeeff",
          "00112233-4455-6677-8899-aabbccddeeff"
        ]
      ],
      "eventName": "Event",
      "eventId": "00112233445566778899aabb"
    }
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
    },
    "slot-collisions": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
    }
  }
}
```

</details>

### Assign edition slots

`POST /editions/{editionId}/slots`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/slots`</small>

Assign Edition Slots

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `sourceEditionSlotId` | query | string |  | Source Edition Slot ID used to copy Edition Slot to Edition<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

<details>
<summary>Request example</summary>

```json
[
  {
    "slot": "00112233-4455-6677-8899-aabbccddeeff"
  }
]
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Edition Slot Response |

<details>
<summary>Response example (200): Associate slots to edition</summary>

```json
{
  "_embedded": {
    "slots": [
      {
        "id": "00112233445566778899aabb",
        "eventId": "00112233445566778899aabb",
        "editionId": "00112233445566778899aabb",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "content": {
          "body": {
            "_meta": {
              "schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json",
              "name": "Name"
            }
          }
        },
        "status": "VALID",
        "slotStatus": "ACTIVE",
        "contentTypeId": "00112233445566778899aabb",
        "slotId": "00112233445566778899aabb",
        "slotLabel": "Slot Label",
        "conflicts": false,
        "locale": null,
        "empty": true,
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
          },
          "edition-slot": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
          },
          "edition": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "slot": {
            "href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb?projection",
            "templated": true
          },
          "content": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
          },
          "safe-update-content": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content?lastModifiedDatepagesizesort",
            "templated": true
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 2,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

<details>
<summary>Response example (200): Copy edition slot to edition</summary>

```json
{
  "id": "00112233445566778899aabb",
  "eventId": "00112233445566778899aabb",
  "editionId": "00112233445566778899aabb",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "content": {
    "body": {
      "_meta": {
        "schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json",
        "name": "Name"
      }
    }
  },
  "status": "VALID",
  "slotStatus": "ACTIVE",
  "contentTypeId": "00112233445566778899aabb",
  "slotId": "00112233445566778899aabb",
  "slotLabel": "Slot Label",
  "conflicts": false,
  "locale": null,
  "empty": true,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
    },
    "edition-slot": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "slot": {
      "href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb?projection",
      "templated": true
    },
    "content": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
    },
    "safe-update-content": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content?lastModifiedDatepagesizesort",
      "templated": true
    }
  }
}
```

</details>

### Get edition slots

`GET /editions/{editionId}/slots`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/slots`</small>

Get Edition Slots

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `page` | query | integer |  | page to retrieve<br/>Example: `1` |
| `size` | query | integer |  | page size to retrieve<br/>Example: `20` |
| `includedSlots` | query | string |  | Retrieving Slots associated to an Edition filtered by content item<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Edition Slot Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "slots": [
      {
        "id": "00112233445566778899aabb",
        "eventId": "00112233445566778899aabb",
        "editionId": "00112233445566778899aabb",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "contentTypeId": "00112233445566778899aabb",
        "slotId": "00112233445566778899aabb",
        "slotLabel": "Slot Label",
        "conflicts": false,
        "empty": true,
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
          },
          "edition-slot": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
          },
          "edition": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "slot": {
            "href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb{?projection}",
            "templated": true
          },
          "content": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
          },
          "safe-update-content": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content{?lastModifiedDate,page,size,sort}",
            "templated": true
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Get edition slot

`GET /editions/{editionId}/slots/{slotId}`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}`</small>

Get Edition Slot

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `slotId` | path | string | ✓ | Slot ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Edition Slot Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "eventId": "00112233445566778899aabb",
  "editionId": "00112233445566778899aabb",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "content": {
    "body": {
      "_meta": {
        "schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json",
        "name": "Name"
      }
    }
  },
  "contentTypeId": "00112233445566778899aabb",
  "slotId": "00112233445566778899aabb",
  "slotLabel": "Slot Label",
  "conflicts": false,
  "empty": true,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
    },
    "edition-slot": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "slot": {
      "href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb{?projection}",
      "templated": true
    },
    "content": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
    },
    "safe-update-content": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content{?lastModifiedDate,page,size,sort}",
      "templated": true
    }
  }
}
```

</details>

### Delete edition slot

`DELETE /editions/{editionId}/slots/{slotId}`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}`</small>

Delete Edition Slot

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `slotId` | path | string | ✓ | Slot ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | No Content |

### Create edition slot content

`PUT /editions/{editionId}/slots/{slotId}/content`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}/content`</small>

Create Edition Slot Content

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `slotId` | path | string | ✓ | Slot ID<br/>Example: `00112233-4455-6677-8899-aabbccddeeff` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `body` | object |  |  |
| `label` | string |  |  |

<details>
<summary>Request example</summary>

```json
{
  "body": {
    "_meta": {
      "name": "Slot",
      "schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json"
    },
    "slot": {
      "_meta": {
        "schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link",
        "rootContentItem": "00112233-4455-6677-8899-aabbccddeeff",
        "locked": true
      },
      "id": "00112233445566778899aabb",
      "contentType": "http://deliver.bigcontent.io/schema/nested/nested-type.json"
    }
  },
  "label": "Simple Slot"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Edition Slot Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "eventId": "00112233445566778899aabb",
  "editionId": "00112233445566778899aabb",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "content": {
    "body": {
      "_meta": {
        "name": "Slot",
        "schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json"
      },
      "slot": {
        "_meta": {
          "schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link",
          "rootContentItem": "00112233-4455-6677-8899-aabbccddeeff",
          "locked": true
        },
        "id": "00112233445566778899aabb",
        "contentType": "http://deliver.bigcontent.io/schema/nested/nested-type.json"
      }
    },
    "label": "Simple Slot"
  },
  "contentTypeId": "00112233445566778899aabb",
  "slotId": "00112233445566778899aabb",
  "slotLabel": "Slot Label",
  "conflicts": false,
  "empty": true,
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
    },
    "edition-slot": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
    },
    "edition": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "slot": {
      "href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb{?projection}",
      "templated": true
    },
    "content": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
    },
    "safe-update-content": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content{?lastModifiedDate,page,size,sort}",
      "templated": true
    }
  }
}
```

</details>

### Create edition slot preview

`POST /editions/{editionId}/slots/{slotId}/preview`

<small>`https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}/preview`</small>

Allows for creating a preview snapshot of an edition slot, without creating a full edition preview.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `editionSlotId` | path | string | ✓ | Edition Slot ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Snapshot ID response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "snapshotId": "00112233445566778899aabb",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
    }
  }
}
```

</details>

### Find by date range

`GET /editions/search/findByDate`

<small>`https://api.amplience.net/v2/content/editions/search/findByDate`</small>

Find Editions using a Date Range

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | query | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `rangeStart` | query | string |  | The start date to search from<br/>Example: `2019-01-01T00:00:00.000Z` |
| `rangeEnd` | query | string |  | The end date to search to<br/>Example: `2019-01-01T00:00:00.000Z` |
| `projection` | query | string (withEvent) |  | Include child Editions |
| `bounded` | query | integer |  | Find editions that have either started or ended within the date range. This parameter is ignored if `expiringIn` is set to true.<br/>Example: `1` |
| `publishingStatus` | query | string (DRAFT, SCHEDULING, SCHEDULED, PUBLISHED, UNSCHEDULING, PUBLISHING) |  | Publishing Status<br/>Example: `DRAFT` |
| `expiringIn` | query | boolean |  | Find editions that will end within the date range. When this is true, `bounded` is ignored.<br/>Example: `True` |
| `size` | query | integer |  | Set the number of results per page<br/>Example: `10` |
| `page` | query | integer |  | Page number<br/>Example: `0` |
| `sort` | query | string |  | Sort parameter<br/>Example: `createdDate,asc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Edition List response |

<details>
<summary>Response example (200): Paginated editions list</summary>

```json
{
  "_embedded": {
    "editions": [
      {
        "id": "00112233445566778899aabb",
        "name": "Edition",
        "comment": "This is an Edition",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "eventId": "00112233445566778899aabb",
        "publishingStatus": "DRAFT",
        "slotsRemaining": 200,
        "schedulingErrors": null,
        "activeEndDate": false,
        "publishingJobId": "00112233445566778899aabb",
        "statusUpdated": "2019-01-01T00:00:00.000Z",
        "schedulingUser": null,
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "stagedDate": "2019-01-01T00:00:00.000Z",
        "slotCollisions": false,
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "editions": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "create-preview": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
          },
          "preview": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
          },
          "schedule": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
            "templated": true
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "list-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
            "templated": true
          },
          "slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
          },
          "copy-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
            "templated": null
          },
          "event": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "edition-conflicts": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
          },
          "edition-conflict": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdVersion{?id,version}",
            "templated": true
          },
          "slot-collisions": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
          }
        }
      }
    ]
  },
  "_links": {
    "self": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
    "first": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
    "last": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
    "search": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20"
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

<details>
<summary>Response example (200): With event projection</summary>

```json
{
  "_embedded": {
    "editions": [
      {
        "id": "00112233445566778899aabb",
        "name": "Edition",
        "comment": "This is an Edition",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "eventId": "00112233445566778899aabb",
        "publishingStatus": "DRAFT",
        "slotsRemaining": 200,
        "schedulingErrors": null,
        "activeEndDate": false,
        "publishingJobId": "00112233445566778899aabb",
        "statusUpdated": "2019-01-01T00:00:00.000Z",
        "schedulingUser": null,
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "stagedDate": "2019-01-01T00:00:00.000Z",
        "slotCollisions": false,
        "event": {
          "id": "00112233445566778899aabb",
          "name": "Event",
          "comment": "This is an Event",
          "start": "2019-01-01T00:00:00.000Z",
          "end": "2019-01-01T00:00:00.000Z",
          "brief": "http://host/test/brief",
          "locales": [
            "en-GB"
          ]
        },
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "editions": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "create-preview": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
          },
          "preview": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
          },
          "schedule": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
            "templated": true
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "list-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
            "templated": true
          },
          "slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
          },
          "copy-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
            "templated": null
          },
          "event": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "edition-conflicts": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
          },
          "edition-conflict": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdVersion{?id,version}",
            "templated": true
          },
          "slot-collisions": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
          }
        }
      }
    ]
  },
  "_links": {
    "self": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
    "first": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
    "last": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
    "search": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20"
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Find by event

`GET /editions/search/findByEvent`

<small>`https://api.amplience.net/v2/content/editions/search/findByEvent`</small>

Find Event by Id

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `eventId` | query | string | ✓ | Event Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Edition List response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "editions": [
      {
        "id": "00112233445566778899aabb",
        "name": "Edition",
        "comment": "This is an Edition comment",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "eventId": "00112233445566778899aabb",
        "publishingStatus": "DRAFT",
        "slotsRemaining": 200,
        "activeEndDate": false,
        "publishingJobId": "00112233445566778899aabb",
        "statusUpdated": "2019-01-01T00:00:00.000Z",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "stagedDate": "2019-01-01T00:00:00.000Z",
        "slotCollisions": false,
        "_links": {
          "slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
          },
          "copy-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
            "templated": true
          },
          "list-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
            "templated": true
          },
          "schedule": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
            "templated": true
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
    },
    "search": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions/search"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Create edition

`POST /events/{eventId}/editions`

<small>`https://api.amplience.net/v2/content/events/{eventId}/editions`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition Id<br/>Example: `00112233445566778899aabb` |
| `sourceEditionId` | query | string |  | Duplicate an Edition by providing an Edition Id<br/>Example: `00112233445566778899aabb` |
| `projection` | query | string (withEvent) |  | Include parent event for edition |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string | ✓ | Edition Name |
| `comment` | string |  | Edition Comment |
| `activeEndDate` | boolean |  | Active End Date |

<details>
<summary>Request example</summary>

```json
{
  "name": "Edition",
  "comment": "This is an Edition comment",
  "activeEndDate": false
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Create Edition response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "Edition",
  "comment": "This is an Edition comment",
  "start": "2019-01-01T00:00:00.000Z",
  "end": "2019-01-01T00:00:00.000Z",
  "eventId": "00112233445566778899aabb",
  "publishingStatus": "DRAFT",
  "slotsRemaining": 200,
  "activeEndDate": false,
  "publishingJobId": "00112233445566778899aabb",
  "statusUpdated": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "createdDate": "2019-01-01T00:00:00.000Z",
  "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
  "lastModifiedDate": "2019-01-01T00:00:00.000Z",
  "stagedDate": "2019-01-01T00:00:00.000Z",
  "slotCollisions": false,
  "_links": {
    "slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
    },
    "copy-slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
      "templated": true
    },
    "list-slots": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
      "templated": true
    },
    "schedule": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
    }
  }
}
```

</details>

### List editions

`GET /events/{eventId}/editions`

<small>`https://api.amplience.net/v2/content/events/{eventId}/editions`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `page` | query | integer |  | Page number<br/>Example: `0` |
| `size` | query | integer |  | Page size<br/>Example: `20` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Edition List response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "editions": [
      {
        "id": "00112233445566778899aabb",
        "name": "Edition",
        "comment": "This is an Edition comment",
        "start": "2019-01-01T00:00:00.000Z",
        "end": "2019-01-01T00:00:00.000Z",
        "eventId": "00112233445566778899aabb",
        "publishingStatus": "DRAFT",
        "slotsRemaining": 200,
        "activeEndDate": false,
        "publishingJobId": "00112233445566778899aabb",
        "statusUpdated": "2019-01-01T00:00:00.000Z",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "createdDate": "2019-01-01T00:00:00.000Z",
        "lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
        "lastModifiedDate": "2019-01-01T00:00:00.000Z",
        "stagedDate": "2019-01-01T00:00:00.000Z",
        "slotCollisions": false,
        "_links": {
          "slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
          },
          "copy-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
            "templated": true
          },
          "list-slots": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
            "templated": true
          },
          "schedule": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
            "templated": true
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
    },
    "search": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions/search"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Search editions

`GET /events/{eventid}/editions/search`

<small>`https://api.amplience.net/v2/content/events/{eventid}/editions/search`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `eventId` | path | string | ✓ | Event Id<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Search Editions response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_links": {
    "findOneByPublishManifestId": {
      "href": "https://api.amplience.net/v2/content/editions/search/findOneByPublishManifestId"
    },
    "findByEvent": {
      "href": "https://api.amplience.net/v2/content/editions/search/findByEvent?eventId=00112233445566778899aabb{&page,size,sort}",
      "templated": true
    },
    "findOneByPublishingJobId": {
      "href": "https://api.amplience.net/v2/content/editions/search/findOneByPublishingJobId"
    },
    "self": {
      "href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
    }
  }
}
```

</details>

### Get snapshot edition links

`GET /snapshots/{snapshotId}/edition-links`

<small>`https://api.amplience.net/v2/content/snapshots/{snapshotId}/edition-links`</small>

Return a list of edition links for the specified snapshot. 
 Simply follow the HAL link with rel "snapshot-edition-links" from a snapshot response.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `snapshotId` | path | string | ✓ | Snapshot ID<br/>Example: `00112233445566778899aabb` |
| `page` | query | integer |  | Page number<br/>Example: `0` |
| `size` | query | integer |  | Page size<br/>Example: `20` |
| `sort` | query | string |  | Sort paramter<br/>Example: `createdDate,asc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Snapshot Edition Get Links Response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "edition-links": [
      {
        "editionId": "00112233445566778899aabb",
        "createdDate": "2019-01-01T00:00:00Z",
        "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
        "edition": "00112233445566778899aabb",
        "_links": {
          "edition": {
            "href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links/00112233445566778899aabb"
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Delete snapshot edition link

`DELETE /snapshots/{snapshotId}/edition-links/{editionId}`

<small>`https://api.amplience.net/v2/content/snapshots/{snapshotId}/edition-links/{editionId}`</small>

Delete a Snapshot Edition Link

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `editionId` | path | string | ✓ | Edition ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Successfully removed the Snapshot Edition link |

## Slots

"Slots" are content-items which are stored in separate repositories from other content-items. Their role is to be placeholders for snapshots.

### Example slot content type

```json
{
  "$schema" : "http://bigcontent.io/cms/schema/v1/schema#",
  "id" : "http://deliver.bigcontent.io/schema/simple-slot-type.json",
  "title" : "slot",
  "description" : "Slot Container",
  "type":"object",
  "properties": {
    "slot": {
      "title": "simple slot container",
      "allOf":[
        {"$ref": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link" },
        {
          "properties": {
            "contentType": { "enum": [ "http://deliver.bigcontent.io/schema/nested/nested-type.json" ] }
          }
        }
      ]
    }
  }
}
```
You will need to register a content type capable of holding nested content in order to create a slot.

### Pre-requsites

##### Creating a slot repository
A Slot Repository is just a Content Repository with the "slots" feature. See [adding features to repositories](https://amplience.com/developers/docs/apis/content-management-reference/content-repositories/#assign-a-feature) for more information

##### Creating a slot
A Slot is a Content Item in a Slot Repository. Please refer to [creating a content item](https://amplience.com/developers/docs/apis/content-management-reference/content-items/#create-content-item) for more information.

### Associating slots to editions

Once you have a Slot Repository with some Slots you can then associate them with an Edition in order make them available for publishing.

*  Multiple Slots can be associated to an Edition, up to 200
* A Slot can be associated with multiple Editions
* A Slot can only be associated to an Edition once

When you associate Slots to an Edition, the `slotsRemaining` property on the Edition will decrease. If you attempt to associate more Slots than there are remaining on the Edition, the operation will fail.

Please refer to the [Assign Edition Slots section](#assign-edition-slots) for an example request.

##### Retrieving slots associated to an edition
Please refer to the [Retrieving Edition Slots section](#get-edition-slots) for an example request.

##### Retrieving slots associated to an edition filter by content item
To filter by content item, we supply the `includedSlots` query parameter. Please refer to the [Get Edition Slots section](#get-edition-slots) for an example request.

##### Retrieving an single slot associated to an edition
Please refer to the [Get Edition Slot section](#get-edition-slot) for an example request.

##### Removing the association between a slot and an edition
Please refer to the [Delete Edition Slot section](#delete-edition-slot) for an example request.

### Associating snapshots to slots
A slot is a placeholder for one or more snapshots. In order to associate those snapshots to this slot you will need to post the resulting content-item to the slot url.

Notice that in the below request, `body.slot.id` is the path to a snapshot. Not a content item.

The `body.slot.id` can also be set to null when the user hasn't currently assigned all of the fields. The service will accept this data, however the `valid` field will be set to false.

Please refer to the [Create Edition Slot Content section](#create-edition-slot-content) for an example request.
